#include <bits/stdc++.h>
#include <cmath>
using namespace std;
int main() 
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);cout.tie(0);
	char c1,c2;
	int a1,a2;
	cin>>c1>>c2>>a1>>a2;
	if(abs(a1-a2)<=1)
	{
		if(a1>a2)
		{
			cout<<c1;
			a1--;
		}
		while(a1>0||a2>0)
		{
			if(a2>0)
			{
				cout<<c2;
				a2--;
			}
			if(a1>0)
			{
				cout<<c1;
				a1--;
			}
		}
	}
	else
	{
		cout<<"nemoguce";
	}
	return 0;
}